.. _iris.coord_systems:

==================
iris.coord_systems
==================



.. currentmodule:: iris

.. automodule:: iris.coord_systems

In this module:

 * :py:obj:`CoordSystem`
 * :py:obj:`GeogCS`
 * :py:obj:`LambertAzimuthalEqualArea`
 * :py:obj:`LambertConformal`
 * :py:obj:`Mercator`
 * :py:obj:`OSGB`
 * :py:obj:`Orthographic`
 * :py:obj:`RotatedGeogCS`
 * :py:obj:`Stereographic`
 * :py:obj:`TransverseMercator`
 * :py:obj:`VerticalPerspective`



Abstract base class for coordinate systems.

..

    .. autoclass:: iris.coord_systems.CoordSystem
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


A geographic (ellipsoidal) coordinate system, defined by the shape of
the Earth and a prime meridian.

..

    .. autoclass:: iris.coord_systems.GeogCS
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


A coordinate system in the Lambert Azimuthal Equal Area projection.

..

    .. autoclass:: iris.coord_systems.LambertAzimuthalEqualArea
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


A coordinate system in the Lambert Conformal conic projection.

..

    .. autoclass:: iris.coord_systems.LambertConformal
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


A coordinate system in the Mercator projection.

..

    .. autoclass:: iris.coord_systems.Mercator
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


A Specific transverse mercator projection on a specific ellipsoid.

..

    .. autoclass:: iris.coord_systems.OSGB
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


An orthographic map projection.

..

    .. autoclass:: iris.coord_systems.Orthographic
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


A coordinate system with rotated pole, on an optional :class:`GeogCS`.

..

    .. autoclass:: iris.coord_systems.RotatedGeogCS
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


A stereographic map projection.

..

    .. autoclass:: iris.coord_systems.Stereographic
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


A cylindrical map projection, with XY coordinates measured in metres.

..

    .. autoclass:: iris.coord_systems.TransverseMercator
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


An geostationary satellite image map projection.

..

    .. autoclass:: iris.coord_systems.VerticalPerspective
        :members:
        :undoc-members:
        :inherited-members:

